Subject: abiword and solaris and popt
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 12/14/2004 08:34:41
Building on SunOS 5.9 (configure says sparc-sun-solaris2.9) using
gcc version 3.3.4 (from package).

abiword fails with:

===> Building for abiword-2.0.14
cd . && \
  CONFIG_FILES=GNUmakefile /bin/ksh ./config.status
config.status: creating GNUmakefile
config.status: executing default-1 commands
/usr/pkg/bin/gmake -C ./../popt
gmake[1]: Entering directory
gmake[1]: *** No targets specified and no makefile found.  Stop.
gmake[1]: Leaving directory
gmake: *** [popt] Error 2
*** Error code 2


The configure had:

checking popt.h usability... no
checking popt.h presence... no
checking for popt.h... no
checking for popt in peer directory... yes

configuring popt: srcdir=../popt, builddir=../popt

  popt:            peer popt

I do have a new work/abiword-2.0.14/popt/ but no "Makefile".

The Makefile.common has:
MAKEFILE=               GNUmakefile

It also said (but I don't think it is related):

checking for GNU xgettext... configure: error:
  *** GNU gettext is required. The latest version
  *** is always available from

Any clues?

 Jeremy C. Reed

 	  	 	 technical support & remote administration